ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
ome::files::detail::OMETIFFPlane Class Reference

Metadata for a single plane within an OME-TIFF file set. More...

`#include <ome/files/detail/OMETIFF.h>`

Collaboration diagram for ome::files::detail::OMETIFFPlane:
[legend]

## Public Types
enum | Status { UNKNOWN, PRESENT, ABSENT }
| Status of the file associated with this plane. More...

## Public Member Functions
| OMETIFFPlane ()
| Default constructor. More...
| OMETIFFPlane (const boost::filesystem::path &id)
| Construct with filename. More...

## Public Attributes
boost::filesystem::path | id
| File containing this plane.
dimension_size_type | ifd
| IFD index.
bool | certain
| Certainty flag, for dealing with unspecified NumPlanes.
Status | status
| File status.

## Detailed Description

Metadata for a single plane within an OME-TIFF file set.

## Member Enumeration Documentation

enum ome::files::detail::OMETIFFPlane::Status

Status of the file associated with this plane.

Enumerator
UNKNOWN | Not known.
PRESENT | File exists.
ABSENT | File is missing.

## Constructor & Destructor Documentation

ome::files::detail::OMETIFFPlane::OMETIFFPlane | ( |  | ) |
| inline

Default constructor.

File and IFD are default constructed; order is uncertain; status is unknown.

ome::files::detail::OMETIFFPlane::OMETIFFPlane | ( | const boost::filesystem::path & | id | ) |
| inline

Construct with filename.

Parameters

  id | the TIFF file containing this plane.

IFD is default constructed; order is uncertain; status is unknown.

The documentation for this class was generated from the following file:

- ome/files/detail/OMETIFF.h